%define name kggs
%define version 1.0
%define release %mkrel 13

Name: %{name}
Summary: Play online reversi, on ggs, with KDE
Version: %{version}
Release: %{release}
License: GPL
Url: http://manu.agat.net/%{name}/
Group: Games/Boards
Source: %{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: kdelibs-devel
BuildRequires: chrpath

%description
This is a kde client to connect to GGS (Generic Game Server) to play online
against other players or bots.

%prep
%setup -n %{name}-%{version}

%build
%configure_kde3
%make

%install
rm -rf %buildroot
%makeinstall_std
chrpath -d %{buildroot}%{_kde3_bindir}/%{name}
mkdir -p $RPM_BUILD_ROOT%{_kde3_datadir}/applications/
cat << EOF > %buildroot%{_kde3_datadir}/applications/mandriva-%{name}.desktop
[Desktop Entry]
Type=Application
Exec=%{_kde3_bindir}/%{name}
Icon=boards_section
Categories=Game;BoardGame;KDE;Qt;
Name=KGGS
Comment=Play othello online
EOF

rm -fr %buildroot%{_kde3_datadir}/applnk

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README
%{_kde3_bindir}/%{name}
%{_kde3_datadir}/applications/mandriva-%{name}.desktop
%{_kde3_datadir}/apps/%{name}


%changelog
* Tue Apr 07 2009 Funda Wang <fundawang@mandriva.org> 1.0-13mdv2009.1
+ Revision: 364908
- rebuild

* Mon Apr 06 2009 Funda Wang <fundawang@mandriva.org> 1.0-12mdv2009.1
+ Revision: 364300
- fix desktop file binary path

* Sun Apr 05 2009 Funda Wang <fundawang@mandriva.org> 1.0-11mdv2009.1
+ Revision: 364179
- bump rel
- switch to /opt

* Fri Jul 25 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.0-10mdv2009.0
+ Revision: 247749
- rebuild

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Thu Jan 03 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.0-8mdv2008.1
+ Revision: 141864
- auto-convert XDG menu entry
- kill re-definition of %%buildroot on Pixel's request
- fix summary
- import kggs

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot


* Wed Dec 28 2005 Anssi Hannula <anssi@mandriva.org> 1.0-8mdk
- fix x86_64 build

* Mon Dec 26 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.0-7mdk
- Remove redundant buildRequires
- use mkrel

* Tue Jun 15 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.0-6mdk
- rebuild

* Mon Jan 12 2004 Blindauer Emmanuel <manu (at) agat.net> 1.0-5mdk
- Added BuildRequires kdelibs-common

* Fri Nov 28 2003 Emmanuel Blindauer <manu (at) agat.net> 1.0-4mdk
 - Some spec clean up (owns the directories now), removed the 
   autom4te.cache

* Tue Aug 12 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.0-3mdk
- rebuild

* Thu Aug 07 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.0-2mdk
- from Emmanuel Blindauer <manu (at) agat.net> :
	- removed rm -rf $RPM_BUILD_ROOT from %%prep
	- added %%{_datadir}/apps/%%{name} as directory in the package

*  Tue May 27 2003 Emmanuel Blindauer <manu (at) agat.net> 1.0-1mdk
- first packaged version

